﻿-- phpMyAdmin SQL Dump
-- version 3.2.0.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Dec 26, 2010 at 05:21 PM
-- Server version: 5.1.36
-- PHP Version: 5.2.11

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: `easyblog2`
--

-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE IF NOT EXISTS `categories` (
  `categoryID` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `pos` tinyint(3) unsigned NOT NULL,
  `url_tag` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`categoryID`),
  KEY `url_tag` (`url_tag`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Dumping data for table `categories`
--


-- --------------------------------------------------------

--
-- Table structure for table `comments`
--

CREATE TABLE IF NOT EXISTS `comments` (
  `commentID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `postID` int(10) unsigned NOT NULL,
  `categoryID` smallint(5) unsigned NOT NULL,
  `name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `email_hide` int(1) NOT NULL DEFAULT '1',
  `content` text COLLATE utf8_unicode_ci NOT NULL,
  `date_posted` datetime NOT NULL,
  `parentID` int(10) unsigned NOT NULL,
  `userID` int(10) unsigned NOT NULL,
  `ip` int(10) unsigned NOT NULL,
  `website` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `status` enum('pending','approved','spam','deleted') COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`commentID`),
  KEY `postID` (`postID`),
  KEY `parentID` (`parentID`),
  KEY `ip` (`ip`),
  KEY `categoryID` (`categoryID`),
  KEY `userID` (`userID`),
  KEY `status` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Dumping data for table `comments`
--


-- --------------------------------------------------------

--
-- Table structure for table `menu_links`
--

CREATE TABLE IF NOT EXISTS `menu_links` (
  `linkID` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `url` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `pos` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`linkID`),
  KEY `title` (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Dumping data for table `menu_links`
--


-- --------------------------------------------------------

--
-- Table structure for table `options`
--

CREATE TABLE IF NOT EXISTS `options` (
  `optionID` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `optionKey` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `optionVal` text COLLATE utf8_unicode_ci NOT NULL,
  `autoload` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `deleted` datetime DEFAULT NULL,
  PRIMARY KEY (`optionID`),
  UNIQUE KEY `optionKey` (`optionKey`),
  KEY `deleted` (`deleted`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

--
-- Dumping data for table `options`
--

INSERT INTO `options` (`optionID`, `optionKey`, `optionVal`, `autoload`, `deleted`) VALUES
(1, 'theme', 'default', 'y', NULL),
(2, 'siteName', 'New blog', 'y', NULL),
(3, 'metaKeywords', '', 'y', NULL),
(4, 'metaDescription', '', 'y', NULL),
(5, 'dateFormat', 'j M Y a	 H:i', 'y', NULL),
(6, 'commentsApprove', 'y', 'y', NULL),
(7, 'prettyUrls', 'y', 'y', NULL),
(8, 'activePlugins', '', 'y', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `posts`
--

CREATE TABLE IF NOT EXISTS `posts` (
  `postID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parentID` int(10) unsigned NOT NULL,
  `userID` smallint(5) unsigned NOT NULL,
  `categoryID` smallint(5) unsigned NOT NULL,
  `type` enum('post','page') COLLATE utf8_unicode_ci NOT NULL,
  `status` enum('draft','approved','pending','deleted') COLLATE utf8_unicode_ci NOT NULL,
  `pos` smallint(4) NOT NULL,
  `title` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
  `meta_k` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `meta_d` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8_unicode_ci NOT NULL,
  `image` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `comments` int(1) NOT NULL DEFAULT '0',
  `date_posted` datetime NOT NULL,
  `block` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hidden` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `url_tag` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `url` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `layout` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`postID`),
  KEY `userID` (`userID`),
  KEY `categoryID` (`categoryID`),
  KEY `date_posted` (`date_posted`),
  KEY `url_tag` (`url_tag`),
  KEY `title` (`title`),
  KEY `type` (`type`),
  KEY `status` (`status`),
  KEY `parentID` (`parentID`),
  KEY `pos` (`pos`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Dumping data for table `posts`
--


-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `userID` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `groupID` int(10) unsigned NOT NULL DEFAULT '0',
  `username` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8_unicode_ci NOT NULL,
  `url` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `password` varchar(42) COLLATE utf8_unicode_ci NOT NULL,
  `active` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`userID`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `email` (`email`),
  KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`userID`, `groupID`, `username`, `email`, `name`, `url`, `password`, `active`) VALUES
(1, 1, 'admin', 'email@example.com', 'New User', NULL, 'd7cf95a11a90b97a121335fda1964e61787010d1', 'y');

-- --------------------------------------------------------

--
-- Table structure for table `users_groups`
--

CREATE TABLE IF NOT EXISTS `users_groups` (
  `groupID` smallint(3) unsigned NOT NULL AUTO_INCREMENT,
  `tag` char(16) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `deleted` datetime DEFAULT NULL,
  PRIMARY KEY (`groupID`),
  KEY `deleted` (`deleted`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Dumping data for table `users_groups`
--

INSERT INTO `users_groups` (`groupID`, `tag`, `name`, `deleted`) VALUES
(1, 'admin', 'Administrator', NULL),
(2, 'author', 'Author', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `users_groups2permissions`
--

CREATE TABLE IF NOT EXISTS `users_groups2permissions` (
  `groupID` smallint(3) unsigned NOT NULL,
  `permissionID` smallint(3) unsigned NOT NULL,
  `deleted` datetime DEFAULT NULL,
  PRIMARY KEY (`groupID`,`permissionID`),
  KEY `deleted` (`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `users_groups2permissions`
--

INSERT INTO `users_groups2permissions` (`groupID`, `permissionID`, `deleted`) VALUES
(1, 1, NULL),
(1, 2, NULL),
(1, 3, NULL),
(1, 4, NULL),
(1, 5, NULL),
(1, 6, NULL),
(1, 7, NULL),
(1, 8, NULL),
(1, 9, NULL),
(1, 10, NULL),
(1, 11, NULL),
(1, 12, NULL),
(1, 13, NULL),
(1, 14, NULL),
(1, 15, NULL),
(1, 16, NULL),
(1, 17, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `users_permissions`
--

CREATE TABLE IF NOT EXISTS `users_permissions` (
  `permissionID` smallint(3) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`permissionID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=18 ;

--
-- Dumping data for table `users_permissions`
--

INSERT INTO `users_permissions` (`permissionID`, `name`, `description`) VALUES
(1, 'posts_view_all', 'View all posts'),
(2, 'posts_edit', 'Edit all posts'),
(3, 'posts_delete', 'Delete all posts'),
(4, 'categories_edit', 'Edit all categories'),
(5, 'categories_delete', 'Delete any category'),
(6, 'links_edit', 'Edit any link'),
(7, 'links_delete', 'Delete any link'),
(8, 'posts_comments_view', 'View all comments'),
(9, 'posts_comments_edit', 'Edit any comment'),
(10, 'posts_comments_delete', 'Delete any comment'),
(11, 'users_view', 'View all users'),
(12, 'users_edit', 'Edit any user'),
(13, 'users_delete', 'Delete any user'),
(14, 'files_edit', 'Edit any file in file manager'),
(15, 'settings_view', 'View site settings'),
(16, 'settings_edit', 'Edit site settings'),
(17, 'manage_plugins', 'View / Activate / Deactivate plugins');
