<?php

require_once 'config.php';
require_once APPLICATION.'core/admin.php';

// Connect to database
$db = new Db(Base::get('db_default'));
Base::set('db', $db);

// Load theme functions
$themeFunctions = THEMES.get_option('theme').'/functions.php';
if (file_exists($themeFunctions))
  require_once $themeFunctions;

// Locale
i18nInit($locale);

define('IS_ADMIN', true);
define('PRETTY_URLS', false);

set_token();

// Load plugins
$plugins = get_active_plugins();
$corePlugins = array('users'); // default plugins
load_plugins(array_merge($plugins, $corePlugins));

// Parse request
if (!isset($_GET['q'])) $_GET['q'] = '';
$request = Base::parseRequest($_GET['q']);

// PLUGIN HOOK
do_action('appInit');

// Include module file from modules folder
$moduleFile = MODULES.$request['module'].'/admin.php';

if (file_exists($moduleFile))
{
  ob_start();
  
  // Setup template settings
  $theme = array();
  $theme['name'] = 'admin';
  $theme['layout'] = 'layouts/index.php';
  $theme['dir'] = THEMES.$theme['name'].'/';
  $theme['url'] = Base::get('base_url').'themes/'.$theme['name'].'/';
  $theme['tplPath'] = $theme['dir'].'modules/'.$request['module'].'/';

  require_once $moduleFile;
  if (template() === null) template('set', $theme['tplPath'].$request['action'].'.php');
  include $theme['dir'].$theme['layout'];
  
  ob_end_flush();
}
else
{
  require_once MODULES.'error/admin.php';
}

//$db->showStats();
?>