<?php

$admin_menu = array();

function adminMenuAdd($item_name, $data)
{
  global $admin_menu;
  $admin_menu[$item_name] = $data;  
}

function adminSubMenuAdd($item_name, $sub_name, $data)
{
  global $admin_menu;
  $admin_menu[$item_name]['sub'][$sub_name] = $data;
}

function adminShowMenu($active = null)
{
  global $admin_menu;
  
  $users = Base::getModel('users');
  
  if ($users->loggedIn())
  {
    $admin_menu[__('Logout')] = array('class' => 'icon logout', 'url' => '?q=users/logout');
  }
  else
  {
    $admin_menu = array(
      __('Login') => array(
        'url' => '#login',
        'class' => 'icon login'
      )
    );
  }
  
  foreach ($admin_menu as $title => $data)
  {
    if (isset($data['perm']) && !$users->perm($data['perm']))
      continue;
    
    if ($title == $active)
      $class = ' class="active"';
    else
      $class = '';
    
    $hasSub = false;
      
    ob_start();
    
    echo '<li',$class,'><a class="dm_accordion_header ',$data['class'],'" href="',$data['url'],'"',$class,'>',$title,'</a>';
    
    if (isset($data['sub']))
    {
      echo '<ul class="dm_accordion_sub">';
      
      foreach ($data['sub'] as $title => $sub)
      {
        if ($title == $active)
          $class = ' class="active"';
        else
          $class = '';
        
        if (isset($sub[1]) && !$users->perm($sub[1], 'or'))
          continue;
        echo '<li',$class,'><a href="',$sub[0],'">',$title,'</a></li>';
        $hasSub = true;
      }
      
      echo '</ul>';
    }
    echo '</li>';
    
    if ($hasSub || !in_array($data['url'], array('', '#')))
    {
      ob_end_flush();
    }
    else
      ob_end_clean();
  }
  $admin_menu = null;
}