<?php

class Walk
{
  protected $_elements;
  protected $_childrenIdx;
  protected $_idIdx;
  protected $_before; // The opening tag of the list
  protected $_after; // The closing tag of the list
  protected $_lvlClass; // Class name of the item's level
  
  protected $_lvl = 1;
  
  function _show($el) {}
  
  public function output($elements)
  {
    echo $this->_before;
    $this->walk($elements);
    echo $this->_after;
  }
  
  public function walk($elements, $child=false)
  {
    foreach ($elements as $el)
    {
      $this->_show($el);
      
      // Show children
      if (isset($el[$this->_childrenIdx]))
      {
        ++$this->_lvl;
        $this->walk($el[$this->_childrenIdx], true);
      }
      if ($child == false)
        $this->_lvl = 1;
    }
  }
}

class CommentsWalk extends Walk
{
  public function __construct()
  {
    $this->_childrenIdx = 'children';
    $this->_idIdx = 'commentID';
    $this->_before = '<ol id="comments" class="comments">';
    $this->_after = '</ol>';
    $this->_lvlClass = 'ebl-comment-lvl-';
  }
  
  function _show($el)
  {
    $comments_open = comments_open();
    ?>
    <li class="<?php echo $this->_lvlClass,$this->_lvl; ?>">
      <div id="comment_<?php echo $el['commentID']; ?>">
        <div class="comment-content"><?php echo $el['content']; ?></div>
        <p class="comment-meta">
          <span class="comment-name">
          <?php
          if ($el['website'] != '')
            echo '<a href="',$el['website'],'">',$el['name'],'</a>';
          else
            echo $el['name'];
          ?>
          </span>
          <span class="comment-date"><?php echo formatDate($el['date_posted']); ?></span>
        </p>
        <?php if ($comments_open && $this->_lvl < 3): ?>
        <a href="#" class="ebl-comment-reply" id="reply_<?php echo $el['commentID']; ?>"><?php _e('reply'); ?></a>
        <?php endif; ?>
      </div>
    </li>
    <?php
  }
}