<?php

$gettext = function_exists('gettext');

function i18nBindTextDomain($domain, $path, $charset = 'utf-8')
{
  global $gettext;
  if (!$gettext) return false;
  bindtextdomain($domain, $path);
  bind_textdomain_codeset ($domain , $charset);
}

function bindThemeDomain($domain)
{
  i18nBindTextDomain($domain, APPLICATION."languages");
}

function i18nInit($locale)
{
  global $gettext;
  
  if ($locale && $gettext)
  {
    putenv('LC_ALL='.$locale);
    setlocale(LC_ALL, $locale);
    i18nBindTextDomain("eb3_default", APPLICATION."languages");
    textdomain("eb3_default");
  }
}

function _e($str, $domain = null)
{
  global $gettext;
  if (!$gettext)
  {
    echo $str;
    return;
  }
  
  if ($domain)
    echo dgettext($domain, $str);
  else
    echo _($str);
}

function __($str, $domain = null)
{
  global $gettext;
  if (!$gettext) return $str;
  
  if ($domain)
    return dgettext($domain, $str);
  else
    return _($str);
}