<?php
// Setup caching object
require_once APPLICATION.'core/cache.php';
$cache = new Cache('FileCache', APPLICATION.'cache/');

// Initialize posts interaction model
$postsM = Base::getModel('posts');

// Set global variables required for this module
$posts = null;
$post = null;

switch ($request['action'])
{
  /* SHOW ALL POSTS */
  case 'index':
    
    $isHome = true;
    $cacheKey = null;
    
    $filter = array();
    $filter['status'] = 'approved';
    $show = '';
    
    // Get page
    $page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
    
    // Get category
    $category = null;
    if (isset($request['category']))
    {
      $category = (int)Base::getRequest(3);
      if (!$category)
        $category = Base::getRequest('category');
    }
    
    if ($category)
    {
      $show = 'category';
      $filter['category'] = $category;
      $cacheKey = 'posts-category-'.$category.'-'.$page;
    }
    else if (($year = (int)Base::getRequest('year')) && ($month = Base::getRequest('month')))
    {
      $show = 'archives';
      $months = array(
        '01' => 'January',
        '02' => 'February',
        '03' => 'March',
        '04' => 'April',
        '05' => 'May',
        '06' => 'June',
        '07' => 'July',
        '08' => 'August',
        '09' => 'September',
        '10' => 'October',
        '11' => 'November',
        '12' => 'December'
      );
      
      $month = array_search($month, $months);
      if ($month)
        $filter['date'] = $year.'-'.$month;
      $cacheKey = 'posts-'.$year.'-'.$month.'-'.$page;
    }
    else if (isset($_GET['search']))
    {
      $show = 'search';
      $search = $filter['search'] = filterXss($_GET['search']);
    }
    else
    {
      $show = 'all';
      $cacheKey = 'posts-'.$page;
    }
    
    break;
    
  case 'category':
    
    $cacheKey = null;
    
    $filter = array();
    $filter['status'] = 'approved';
    $show = '';
    
    // Get page
    $page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
    
    // Get category
    $category = (int)Base::getRequest(3);
    if (!$category)
    {
      $category = Base::getRequest('category');
    }
    
    if ($category)
    {
      $show = 'category';
      $filter['category'] = $category;
      $cacheKey = 'posts-category-'.$category.'-'.$page;
    }

    template('set', $theme['tplPath'].'index.php');
    
    break;
    
  default:
}