<?php

// Authenticate
$usersM = Base::getModel('users');
if (!$usersM->loggedIn()) redirect(href('users/login'));


switch ($request['action'])
{
  /* VIEW ALL PLUGINS */
  case 'index':
    usersCheckAccess('manage_plugins');
    
    $plugins = get_plugins();
    foreach ($plugins as $name => $info)
    {
      if (in_array($name, $corePlugins))
        unset($plugins[$name]);
    }
    $activePlugins = get_active_plugins();
    
    $title = $active = __('Plugins');
    break;
    
  /* ACTIVATE PLUGIN */  
  case 'activate':
    usersCheckAccess('manage_plugins');
    
    require_once APPLICATION.'core/files.php';
    
    $plugin = Base::getRequest(2);
    $plugin = filter_filename($plugin);
    
    $pluginFile = PLUGINS.$plugin.'/'.$plugin.'.php';
    if (file_exists($pluginFile))
    {
      $activePlugins = get_active_plugins();
      
      foreach ($activePlugins as $key => $name)
        if (empty($name)) unset($activePlugins[$key]);
        
      $activePlugins[] = $plugin;
      
      if (set_option('activePlugins', serialize($activePlugins)))
        set_flash_message(__('Plugin was activated'), 'success');
      else
        set_flash_message(__('Plugin was not activated'), 'error');
    }
    
    redirect(href('plugins/index'));
    exit();
    break;
    
  /* DEACTIVATE PLUGIN */  
  case 'deactivate':
    usersCheckAccess('manage_plugins');
    
    require_once APPLICATION.'core/files.php';
    
    $plugin = Base::getRequest(2);
    $plugin = filter_filename($plugin);
    
    $pluginFile = PLUGINS.$plugin.'/'.$plugin.'.php';
    if (file_exists($pluginFile))
    {
      $activePlugins = get_active_plugins();
      
      foreach ($activePlugins as $key => $name)
      {
        if (empty($plugin) || $name == $plugin)
        {
          unset($activePlugins[$key]);
        }
      }
      
      if (set_option('activePlugins', serialize($activePlugins)))
        set_flash_message(__('Plugin was deactivated'), 'success');
      else
        set_flash_message(__('Plugin was not deactivated'), 'error');
    }
    
    redirect(href('plugins/index'));
    exit();
    break;
    
  default:
}
