<?php

// Setup caching object
require_once APPLICATION.'core/cache.php';
$cache = new Cache('FileCache', APPLICATION.'cache/');

$postsM = Base::getModel('posts');

switch ($request['action'])
{
  case 'index':
    break;
    
  case 'view':
    // Get users model
    $usersM = Base::getModel('users');
    $errors = array();
    $cpage = isset($_GET['cpage']) ? (int)$_GET['cpage'] : 1;
    $cperpage = get_option('commentsPage');
    if (!is_numeric($cperpage)) $cperpage = 20;
    $parentCommentID = 0;
    $userID = isset($_SESSION['eblUserID']) ? (int)$_SESSION['eblUserID'] : 0;
    $postID = (int)Base::getRequest(3);
    
    if ($postID)
    {
      $post = $postsM->getPost($postID);
    }
    else
    {
      $post = $postsM->getPost(Base::getRequest(2));
      if ($post)
        $postID = $post['postID'];
      else
        $postID = 0;
    }
    
    if ($post)
    {
      setMeta($post['meta_k'], $post['meta_d']);
      $title = $post['title'];
      $layout = 'layouts/'.$post['layout'];
      if (!empty($post['layout']) && file_exists($theme['dir'].$layout))
        $theme['layout'] = $layout;
      
      if ($userID)
      {
        $_POST['name'] = $_SESSION['eblName'];
        $_POST['email'] = $_SESSION['eblEmail'];
        $_POST['website'] = $usersM->getAttr('url', $userID);
      }

      // Process comment form
      if (!isset($_SESSION['content']))
        $_SESSION['content'] = md5(rand(1,100));
      $nameContent = $_SESSION['content'];
      
      $_POST['email_hide'] = 'x';
      
      $allowed = array('parentID', 'postID', 'name', 'email', 'email_hide', 'website', $nameContent, 'content');
      
      if (!isset($_POST['email_hide']))
      {
        $_POST['email_hide'] = 0;
      }
      
      $sent = array_keys($_POST);
      
      sort($allowed);
      sort($sent);
      
      if (comments_open() && $sent == $allowed)
      {
        $parentCommentID = $_POST['parentID'];
        
        // Validation
        if ($_POST['name'] == '')
          $errors['name'] = __('Please enter your name');
          
        if ($_POST['email'] == '')
          $errors['email'] = __('Please enter your email');
          
        if ($_POST[$nameContent] == '')
          $errors[$nameContent] = __('Comment was empty');
          
        if ($_POST['content'] != '')
          $errors['content'] = 'Error';

        if (count($errors) == 0)
        {
          // Filter
          $clean = array();
          foreach ($_POST as $key => $val)
          {
            $clean[$key] = filterXss($db->escape($val));
          }
          
          if (get_option('commentsApprove') == 'n' || (isset($_SESSION['eblGroup']) && $_SESSION['eblGroup'] == 'admin'))
            $status = 'approved';
          else
            $status = 'pending';
          
          // Apply comment filter plugins before the comment is saved
          do_action('commentAddBefore', null, $clean);
          
          $sql = 'INSERT INTO '.DB_PREFIX.'comments (parentID, postID, userID, name, email, email_hide, website, content, categoryID, status, ip, date_posted)
            VALUES (%d, %d, %d, "%s", "%s", %d, "%s", "%s", %d, "%s", %d, CURRENT_TIMESTAMP)';
            
          $sql = sprintf($sql, $clean['parentID'], $clean['postID'], $userID, $clean['name'], $clean['email'],
            $clean['email_hide'], $clean['website'], $clean[$nameContent], $post['categoryID'], $status,
            ip2long($_SERVER['REMOTE_ADDR']));
          
          $result = $db->query($sql);
          $commentID = $db->getInsertId();
          
          // Apply comment filter plugin actions after the comment was saved
          if ($commentID)
          {
            do_action('commentAddAfter', $commentID, $clean);
            $cache->delete('comments-'.$postID);
          }
          
          if ($result)
          {
            if (get_option('commentsApprove') == 'y')
              set_flash_message(__('Thanks. Comment was saved and will soon be approved'), 'success');
            else
              set_flash_message(__('Thanks. Comment was saved'), 'success');
          }
          else
          {
            set_flash_message(__('Comment was not saved'), 'error');
          }
        }
        else
        {
          set_flash_message(__('Please correct the errors below'), 'error');
        }
      }
      // Process comment form ends

      // Get comments and cache for 10 seconds
      $comments = unserialize($cache->getCache('comments-'.$postID, 10));
      if (!$comments)
      {
        $comments = $postsM->getComments($postID, 'approved', 'ArrayAll', 0, $cperpage);
        $cache->setCache('comments-'.$postID, serialize($comments));
      }
    }
    break;

  default:
}