<?php

// Authenticate
$usersM = Base::getModel('users');
if (!$usersM->loggedIn()) redirect(href('users/login'));


switch ($request['action'])
{
  /* Edit settings of posts */
  case 'index':
    $allowed = array('token', 'siteName', 'metaKeywords', 'metaDescription', 'dateFormat', 'prettyUrls', 'themeName');
    $sent = array_keys($_POST);
    
    $themes = getThemes();
    
    if ($allowed == $sent && $_POST['token'] == get_token())
    {
      usersCheckAccess('settings_edit');
      filterArrayXss($_POST);
      extract($_POST);
      set_option('siteName', filterXss($siteName), 'y');
      set_option('metaKeywords', filterXss($metaKeywords), 'y');
      set_option('metaDescription', filterXss($metaDescription), 'y');
      set_option('dateFormat', $dateFormat, 'y');
      set_option('prettyUrls', $prettyUrls, 'y');
      set_option('theme', filterXss($themeName), 'y');
    }
    else
    {
      $siteName = get_option('siteName');
      $metaKeywords = get_option('metaKeywords');
      $metaDescription = get_option('metaDescription');
      $dateFormat = get_option('dateFormat');
      $prettyUrls = get_option('prettyUrls');
      $themeName = get_option('theme');
    }
    
    if (!$prettyUrls)
      $prettyUrls = 'y';
    
    $title = $active = __('Basic');
    break;
    
  /* Edit settings of posts */
  case 'posts':
    $allowed = array('token', 'postsPage');
    $sent = array_keys($_POST);
    
    if ($allowed == $sent && $_POST['token'] == get_token())
    {
      usersCheckAccess('settings_edit');
      filterArrayXss($_POST);
      extract($_POST);
      set_option('postsPage', (int)$postsPage, 'y');
    }
    else
    {
      $postsPage = get_option('postsPage');
    }
    
    $title = $active = __('Posts');
    break;
    
  /* Edit settings of comments */
  case 'comments':
    $allowed = array('token', 'commentsApprove', 'commentsOrder', 'commentsPage');
    $sent = array_keys($_POST);
    
    $commentsOrderOpt = array(
      'asc' => 'Older first',
      'desc' => 'Newer first'
    );
    
    if ($allowed == $sent && $_POST['token'] == get_token())
    {
      usersCheckAccess('settings_edit');
      filterArrayXss($_POST);
      extract($_POST);
      set_option('commentsOrder', $commentsOrder, 'y');
      set_option('commentsApprove', $commentsApprove, 'y');
      set_option('commentsPage', (int)$commentsPage, 'y');
    }
    else
    {
      $commentsApprove = get_option('commentsApprove');
      $commentsOrder = get_option('commentsOrder');
      $commentsPage = get_option('commentsPage');
    }
    
    if (!$commentsApprove)
      $commentsApprove = 'y';
    
    $title = $active = __('Comments');
    break;
    
  default:
}
