<?php
/*
Name: Comment notification email
Plugin Url: http://dime3studio.com
Description: Send email to the author of the post when comment is added
Version: 0.1
Author: Dmytry
Author Url: http://dime3studio.com
*/

function commentsEmail($commentID, $data)
{
  $postsM = Base::getModel('posts');
  $usersM = Base::getModel('users');

  // Select ID of current user
  $userID = isset($_SESSION['eblUserID']) ? (int)$_SESSION['eblUserID'] : 0;

  // Select post data
  $post = $postsM->getPost($data['postID']);
  
  if ($post && $post['userID'] != $userID)
  {
    // Get author's data
    $author = $usersM->get($post['userID']);
    
    // Prepare email
    $subject = __('New comment');
    $headers = 'From: '.$data['email']."\n";
    $to = $author['email'];
    
    ob_start();
    
    echo __('Dear '),$author['name'].":\n\n";
    echo __('You have got a new comment:'),"\n\n";
    echo __('Post'),': ',$post['title']."\n\n";
    echo __('Comment'),":\n",$data['content'];
    
    $message = ob_get_contents();
    ob_end_clean();

    mail($to, $subject, $message, $headers);
  }
}

add_action('commentAddAfter', 'commentsEmail', 10, 2);
