<?php

/*
 * Basic file related functions library
 * Version: 0.1
 * Author: Dmytro Danylov
 * Last update: 28/08/2010
 */

function file_ext($filename) 
{
	if (strpos($filename, '.') === false)
		return '';
	$filename = strtolower($filename); 
	$exts = explode('.', $filename);
	$n = count($exts) - 1;
	return $exts[$n];
}

function file_type($filename)
{
  $ext = file_ext($filename);
  switch ($ext)
  {
    case 'jpg':
    case 'jpeg':
    	return 'image/jpeg';
    case 'png':
    	return 'image/png';
    case 'gif':
    	return 'image/gif';
    case 'tiff':
    	return 'image/tiff';
    
    case 'pdf':
    	return 'application/pdf';
    case 'doc':
    case 'docx':
    	return 'application/msword';
    case 'zip':
    	return 'application/zip';
    case 'txt':
    	return 'text/plain';
    
    case 'avi':
    case 'wmv':
    	return 'video/x-msvideo';
    case 'mov':
    	return 'video/quicktime';
  }
  return 'unknown';
}

function sanitize_filename($name, $dir = false)
{
	$ext = file_ext($name);
	$name = str_replace('.'.$ext, '', $name);
	$name = preg_replace('/[^A-Za-z0-9_.+\- ]/ui', '', $name);
	$name = str_replace(' ', '_', $name);
	if ($name != '' && !$dir) $name .= '.'.$ext;
	return $name;
}

function serve_file($file, $path)
{
	// Serve the file
	header("Content-Type: application/force-download");
	header("Content-Length: ".filesize($path));
	header('Content-Disposition: attachment; filename="'.$file.'"');
	$fp = fopen($file, 'r');
	while (!feof($fp))
		echo fgets($fp, 10240); // serve file 10KB at a time
	fclose($fp);
}

function dir_size($dir)
{
	$bytes = 0;
	
	if (substr($dir, 0, -1) != '/') $dir .= '/';
		
	$dp = opendir($dir);
	if ($dp)
	{
		$file = '';
		$path = '';
		while ($file = readdir($dp))
		{
			if ($file == '.' || $file == '..') continue;
			$path = $dir.$file;
			if (!is_dir($path))
			{
				$bytes += filesize($path);
			}
			else
			{
				$bytes += dir_size($path);
			}
		}
		closedir($dp);
	}
	return $bytes;
}