<?php

//require_once 'app/core/time-count.php'; 
//start_measure('total');
// Set global variables
$postID = null;
$isHome = null;

require_once 'config.php';

// Connect to database
$db = new Db(Base::get('db_default'));
Base::set('db', $db);

// Load theme functions
$themeFunctions = THEMES.get_option('theme').'/functions.php';
if (file_exists($themeFunctions))
  require_once $themeFunctions;

// Locale
i18nInit($locale);

define('IS_ADMIN', false);
define('PRETTY_URLS', get_option('prettyUrls'));

// Load plugins
$plugins = get_active_plugins();
load_plugins($plugins);

// Parse request
if (!isset($_GET['q'])) $_GET['q'] = '';
$request = Base::parseRequest($_GET['q']);

// Include module file from modules folder
$moduleFile = MODULES.$request['module'].'/front.php';

if (file_exists($moduleFile))
{
  ob_start();
  // Setup template settings
  $theme = array();
  $theme['name'] = get_option('theme');
  $theme['layout'] = 'layouts/index.php';
  $theme['dir'] = THEMES.$theme['name'].'/';
  $theme['url'] = Base::get('base_url').'themes/'.$theme['name'].'/';
  $theme['tplPath'] = $theme['dir'].'modules/'.$request['module'].'/';
  
  require_once $moduleFile;
  if (template() === null) template('set', $theme['tplPath'].$request['action'].'.php');
  include_once $theme['dir'].$theme['layout'];
  
  ob_end_flush();
}
else
{
  require_once MODULES.'error/front.php';
}
/*
end_measure('total');
show_measure();
$db->showStats();
 */ 
?>