<?php
require_once 'config.php';

$settingsFile = './app/settings.php';

if (!isset($_SESSION['eblAuth']))
  $_SESSION['eblAuth'] = 0;

$errors = array();

$step = isset($_GET['step']) ? $_GET['step'] : 1;

$baseUrl = 'http://'.$_SERVER['SERVER_NAME'].dirname($_SERVER['PHP_SELF']).'/';

if ($_SESSION['eblAuth'] == 1 && $step == 3)
{
  // Create user account
  // Validate data
  $errors['user'] = array(); 
  
  $allowed = array('username', 'password', 'password2', 'name', 'email', 'submit');
  
  if ($allowed == array_keys($_POST))
  {
    if (!preg_match('|^[a-z0-9\-\_]{2,30}$|u', $_POST['username']))
      $errors['user'][] = 'Please enter username. Allowed characters: a-z 0-9 - _';
    
    if (!preg_match('/^.{8,20}$/', $_POST['password']))
      $errors['user'][] = 'Password must be at least 8 and maximum 20 characters long';
        
    if ($_POST['password'] != $_POST['password2'])
      $errors['user'][] = 'Passwords do not match';
      
    if (empty($_POST['name']))
      $errors['user'][] = 'Name must not be empty';
      
    if (empty($_POST['email']))
      $errors['email'][] = 'Email must not be empty';
      
    if (count($errors['user']) == 0)
    {
      $db = new Db(Base::get('db_default'));
      $password = sha1($_POST['password'].Base::get('salt'));
      
      $sql = 'INSERT INTO '.DB_PREFIX.'users (username, name, email, password, groupID, active)
        VALUES ("%s", "%s", "%s", "%s", 1, "y") ON DUPLICATE KEY UPDATE password="%s"';
      
      $sql = sprintf($sql, $db->escape($_POST['username']), $db->escape($_POST['name']),
        $db->escape($_POST['email']), $password, $password);
      
      $result = $db->query($sql);
      if (!$result)
      {
        $errors['user'][] = 'Database error occured. Please try again.';
      }
      else
      {
        $step = 4;
      }
    }
  }
}
if ($step == 2)
{ 
  $allowed = array('dbHost', 'dbUser', 'dbPass', 'dbName', 'dbPrefix', 'baseUrl', 'salt', 'submit');
  $sent = array_keys($_POST);
  
  if ($allowed == $sent)
  { 
    // Verify database connection
    $settings = array(
      'host' => $_POST['dbHost'],
      'user' => $_POST['dbUser'],
      'pass' => $_POST['dbPass'],
      'dbname' => $_POST['dbName'],
      'dbprefix' => $_POST['dbPrefix'],
      'base_url' => $_POST['baseUrl'],
      'salt' => $_POST['salt']
    );
    $db = @mysql_connect($settings['host'], $settings['user'], $settings['pass']);
    if (!$db)
    {
      $errors['database'] = 'Database credetials were incorrect';
      $step = 1;
    }
    else
    {
      if (!mysql_select_db($settings['dbname'], $db))
      {
        $errors['database'] = 'Could not select database "'.filterXss($settings['dbname']).'"';
        $step = 1;
      }
    }
    
    // If no errors continue
    if (count($errors) == 0)
    {
      foreach($settings as $key => $val)
      {
        $settings[$key] = str_replace(array('\'', '"'), array('\\\'', '\\"'), $val);
      }
      
      // Save new settings
      $sFile = "<?php // SITE GLOBAL SETTINGS
self::\$settings = array();

// DATABASE
self::\$settings['db_prefix'] = '{$settings['dbprefix']}';
self::\$settings['db_default']['host'] = '{$settings['host']}';
self::\$settings['db_default']['user'] = '{$settings['user']}';
self::\$settings['db_default']['pass'] = '{$settings['pass']}';
self::\$settings['db_default']['dbname'] = '{$settings['dbname']}';

// PATHS
self::\$settings['base_url'] = '{$settings['base_url']}';
self::\$settings['uploads_dir'] = ROOT.'uploads/';
self::\$settings['uploads_url'] = self::\$settings['base_url'].'uploads/';

// SECURITY
self::\$settings['salt'] = '{$settings['salt']}';
self::\$settings['admin'] = 'admin';
  ";
      
      // Create database
      $tbl['categories'] = "
  CREATE TABLE IF NOT EXISTS `%scategories` (
    `categoryID` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
    `title` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
    `pos` tinyint(3) unsigned NOT NULL,
    `url_tag` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
    PRIMARY KEY (`categoryID`),
    KEY `url_tag` (`url_tag`)
  ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1;
  ";
  
      $tbl['comments'] = "
  CREATE TABLE IF NOT EXISTS `%scomments` (
    `commentID` int(10) unsigned NOT NULL AUTO_INCREMENT,
    `postID` int(10) unsigned NOT NULL,
    `categoryID` smallint(5) unsigned NOT NULL,
    `name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
    `email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
    `email_hide` int(1) NOT NULL DEFAULT '1',
    `content` text COLLATE utf8_unicode_ci NOT NULL,
    `date_posted` datetime NOT NULL,
    `parentID` int(10) unsigned NOT NULL,
    `userID` int(10) unsigned NOT NULL,
    `ip` int(10) unsigned NOT NULL,
    `website` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
    `status` enum('pending','approved','spam','deleted') COLLATE utf8_unicode_ci NOT NULL,
    PRIMARY KEY (`commentID`),
    KEY `postID` (`postID`),
    KEY `parentID` (`parentID`),
    KEY `ip` (`ip`),
    KEY `categoryID` (`categoryID`),
    KEY `userID` (`userID`),
    KEY `status` (`status`)
  ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1;
  ";
  
      $tbl['menu_links'] = "
  CREATE TABLE IF NOT EXISTS `%smenu_links` (
    `linkID` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
    `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
    `url` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
    `pos` smallint(5) unsigned NOT NULL,
    PRIMARY KEY (`linkID`),
    KEY `title` (`title`)
  ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1;
  ";
  
      $tbl['options'] = "
  CREATE TABLE IF NOT EXISTS `%soptions` (
    `optionID` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
    `optionKey` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
    `optionVal` text COLLATE utf8_unicode_ci NOT NULL,
    `autoload` char(1) COLLATE utf8_unicode_ci NOT NULL,
    `deleted` datetime DEFAULT NULL,
    PRIMARY KEY (`optionID`),
    UNIQUE KEY (`optionKey`),
    KEY `deleted` (`deleted`)
  ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1;
  ";
  
      $tbl['posts'] = "
  CREATE TABLE IF NOT EXISTS `%sposts` (
    `postID` int(10) unsigned NOT NULL AUTO_INCREMENT,
    `parentID` int(10) unsigned NOT NULL,
    `userID` smallint(5) unsigned NOT NULL,
    `categoryID` smallint(5) unsigned NOT NULL,
    `type` enum('post','page') COLLATE utf8_unicode_ci NOT NULL,
    `status` enum('draft','approved','pending','deleted') COLLATE utf8_unicode_ci NOT NULL,
    `pos` smallint(4) NOT NULL,
    `title` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
    `description` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
    `meta_k` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
    `meta_d` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
    `content` text COLLATE utf8_unicode_ci NOT NULL,
    `image` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
    `comments` int(1) NOT NULL DEFAULT '0',
    `date_posted` datetime NOT NULL,
    `block` tinyint(1) unsigned NOT NULL default 0,
    `hidden` tinyint(1) unsigned NOT NULL default 0,
    `url_tag` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
    `url` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
    `layout` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
    PRIMARY KEY (`postID`),
    KEY `userID` (`userID`),
    KEY `categoryID` (`categoryID`),
    KEY `date_posted` (`date_posted`),
    KEY `url_tag` (`url_tag`),
    KEY `title` (`title`),
    KEY `type` (`type`),
    KEY `status` (`status`),
    KEY `parentID` (`parentID`),
    KEY `pos` (`pos`)
  ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1;
  ";
  
      $tbl['users'] = "
  CREATE TABLE IF NOT EXISTS `%susers` (
    `userID` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
    `groupID` int(10) unsigned NOT NULL DEFAULT '0',
    `username` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
    `email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
    `name` varchar(120) COLLATE utf8_unicode_ci NOT NULL,
    `url` varchar(255) COLLATE utf8_unicode_ci NULL,
    `password` varchar(42) COLLATE utf8_unicode_ci NOT NULL,
    `active` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
    PRIMARY KEY (`userID`),
    UNIQUE KEY `username` (`username`),
    UNIQUE KEY `email` (`email`),
    KEY `name` (`name`)
  ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1;
  ";
  
      $tbl['users_groups'] = "
  CREATE TABLE IF NOT EXISTS `%susers_groups` (
    `groupID` smallint(3) unsigned NOT NULL AUTO_INCREMENT,
    `tag` char(16) COLLATE utf8_unicode_ci NOT NULL,
    `name` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
    `deleted` datetime DEFAULT NULL,
    PRIMARY KEY (`groupID`),
    KEY `deleted` (`deleted`)
  ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1;
  ";
  
      $tbl['users_groups2permissions'] = "
  CREATE TABLE IF NOT EXISTS `%susers_groups2permissions` (
    `groupID` smallint(3) unsigned NOT NULL,
    `permissionID` smallint(3) unsigned NOT NULL,
    `deleted` datetime DEFAULT NULL,
    PRIMARY KEY (`groupID`,`permissionID`),
    KEY `deleted` (`deleted`)
  ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
  ";
  
      $tbl['users_permissions'] = "
  CREATE TABLE IF NOT EXISTS `%susers_permissions` (
    `permissionID` smallint(3) unsigned NOT NULL AUTO_INCREMENT,
    `name` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
    `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
    PRIMARY KEY (`permissionID`)
  ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1;
  ";
  
      // Create tables one by one
      $errors['tbl'] = array();
      foreach ($tbl as $table => $sql)
      {
        $result = mysql_query(sprintf($sql, $settings['dbprefix']), $db);
        if (!$result)
          $errors['tbl'][$table] = 'Could not create database table "'.$table.'"';
      }
      
      // Insert required data
      $data['users_permissions'] = "
INSERT IGNORE INTO `%susers_permissions` (`permissionID`, `name`, `description`) VALUES
(1, 'posts_view_all', 'View all posts'),
(2, 'posts_edit', 'Edit all posts'),
(3, 'posts_delete', 'Delete all posts'),
(4, 'categories_edit', 'Edit all categories'),
(5, 'categories_delete', 'Delete any category'),
(6, 'links_edit', 'Edit any link'),
(7, 'links_delete', 'Delete any link'),
(8, 'posts_comments_view', 'View all comments'),
(9, 'posts_comments_edit', 'Edit any comment'),
(10, 'posts_comments_delete', 'Delete any comment'),
(11, 'users_view', 'View all users'),
(12, 'users_edit', 'Edit any user'),
(13, 'users_delete', 'Delete any user'),
(14, 'files_edit', 'Edit any file in file manager'),
(15, 'settings_view', 'View site settings'),
(16, 'settings_edit', 'Edit site settings'),
(17, 'manage_plugins', 'View / Activate / Deactivate plugins');
";

      $data['options'] = "
INSERT INTO `%soptions` (`optionID`, `optionKey`, `optionVal`, `autoload`, `deleted`) VALUES
(1, 'theme', 'default', 'y', NULL),
(2, 'siteName', 'New blog', 'y', NULL),
(3, 'metaKeywords', '', 'y', NULL),
(4, 'metaDescription', '', 'y', NULL),
(5, 'dateFormat', 'j M Y \\a\\t H:i', 'y', NULL),
(6, 'commentsApprove', 'y', 'y', NULL),
(7, 'prettyUrls', 'y', 'y', NULL),
(8, 'activePlugins', '', 'y', NULL);
";

      $data['users_groups2permissions'] = "
INSERT IGNORE INTO `%susers_groups2permissions` (`groupID`, `permissionID`, `deleted`) VALUES
(1, 1, NULL),
(1, 2, NULL),
(1, 3, NULL),
(1, 4, NULL),
(1, 5, NULL),
(1, 6, NULL),
(1, 7, NULL),
(1, 8, NULL),
(1, 9, NULL),
(1, 10, NULL),
(1, 11, NULL),
(1, 12, NULL),
(1, 13, NULL),
(1, 14, NULL),
(1, 15, NULL),
(1, 16, NULL),
(1, 17, NULL);
";

      $data['users_groups'] = "
INSERT IGNORE INTO `%susers_groups` (`groupID`, `tag`, `name`, `deleted`) VALUES
(1, 'admin', 'Administrator', NULL),
(2, 'author', 'Author', NULL);
";

      // Insert required data into tables one by one
      $errors['data'] = array();
      foreach ($data as $table => $sql)
      {
        $result = mysql_query(sprintf($sql, $settings['dbprefix']), $db);
        if (!$result)
          $errors['data'][$table] = 'Could not insert data into the database table "'.$table.'"';
      }
      
      // If all quaries executed successfully, save settings to file
      if (count($errors['tbl']) == 0/* && count($errors['data']) == 0*/)
      {
        if (file_put_contents($settingsFile, $sFile))
        {
          // User is authenticated
          $_SESSION['eblAuth'] = 1;
          // Go to step 3
          header('Location: install.php?step=3');
          exit();
        }
      }
    }
  }
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
  <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />
  
  <!-- META:BEGIN -->
  <title>INSTALL - PersianScript :D</title>
  <!-- META:END -->
  
  <meta name="robots" content="noindex, nofollow" />
  
  <style type="text/css">

  #container {
    padding: 20px;
    width: 600px;
    margin: 0 auto;
  }
  
  form label {
    display: block;
  }
  
  form fieldset {
    background: #f5f5f5;
    margin-bottom: 20px;
  }
  
  .errors, .errors li {
    color: red;
  }
  
  </style>
</head>
<body>

<div id="container">

<h2>EASY BLOG 3 installation</h2>

<?php if ($step == 1): ?>
  
  <?php
  $version = phpversion();
  $versionArr = explode('.', $version);
  ?>
  
  <h3>System information</h3>
  <table>
    <tr>
      <th>PHP version</th>
      <td>
      <?php
      echo $version;
      if ($versionArr[0] == 5 && $versionArr[1] >= 2)
        echo ' ( <span style="color:green;">OK</span> )';
      else
        echo ' ( <span style="color:red;">FAILED, easy blog requires PHP version >= 5.2</span> )';
      ?></td>
    </tr>
  </table>
  
  <p>&nbsp;</p>
  
  <form action="install.php?step=2" method="post">
  
  <fieldset>
    <legend>Database</legend>
    
    <div>
      <label>Database host:</label>
      <input type="text" name="dbHost" value="" />
    </div>
    
    <div>
      <label>Database user:</label>
      <input type="text" name="dbUser" value="" />
    </div>
    
    <div>
      <label>Database password:</label>
      <input type="password" name="dbPass" value="" />
    </div>
    
    <div>
      <label>Database name:</label>
      <input type="text" name="dbName" value="" />
    </div>
    
    <div>
      <label>Table prefix:</label>
      <input type="text" name="dbPrefix" value="" />
    </div>
    
    <?php if (isset($errors['database'])) echo '<p class="errors">',$errors['database'],'</p>'; ?>
    
  </fieldset>
  
  <fieldset>
    <legend>Other</legend>
    
    <div>
      <label>Base url:</label>
      <input type="text" name="baseUrl" size="42" maxlength="42" value="<?php echo $baseUrl; ?>" />
    </div>
    
    <div>
      <label>Salt:</label>
      <input type="text" name="salt" size="42" maxlength="42" value="<?php echo md5(rand(-10000,10000)); ?>" />
    </div>
    
  </fieldset>
  
  <input type="submit" name="submit" value="Continue..." />
  
  </form>

<?php elseif ($step == 2): ?>

  <?php
  if (isset($errors['tbl']))
  {
    foreach ($errors['tbl'] as $error)
    {
      echo '<p class="errors">',$error,'</p>';
    }
  }
  
  if (isset($errors['data']))
  {
    foreach ($errors['data'] as $error)
    {
      echo '<p class="errors">',$error,'</p>';
    }
  }
  ?>
  
  <p><a href="#" onclick="history.back();return false;">Go back</a></p>
  
<?php elseif ($step == 3): ?>

  <form action="install.php?step=3" method="post">
  
  <fieldset>
    <legend>Admin user</legend>
    
    <div>
      <label><span style="color:red">*</span> Username:</label>
      <input type="text" name="username" value="" />
    </div>
    
    <div>
      <label><span style="color:red">*</span> Password:</label>
      <input type="password" name="password" value="" />
    </div>
    
    <div>
      <label><span style="color:red">*</span> Repeat password:</label>
      <input type="password" name="password2" value="" />
    </div>
    
    <div>
      <label><span style="color:red">*</span> Name:</label>
      <input type="text" name="name" value="" />
    </div>
    
    <div>
      <label><span style="color:red">*</span> Email:</label>
      <input type="text" name="email" value="" />
    </div>
    
    <?php
    if (isset($errors['user']))
    {
      foreach ($errors['user'] as $error)
      {
        echo '<p class="errors">',$error,'</p>';
      }
    }
    ?>
    
  </fieldset>
  
  <input type="submit" name="submit" value="Continue..." />
  
  </form>

<?php elseif ($step == 4 && $_SESSION['eblAuth'] == 1): ?>

  <div>
  <h2>Thank You! Installation complete.</h2>
  <h2 style="color:red;">Please delete install.php file before proceeding.</h2>
  <h2 style="color:red;">انتشار توسط www.persianscript.ir</h2>
  <h2>You can now login <a href="admin.php">here</a></h2>
  </div>

<?php endif; ?>

</div>

</body>
</html>