(function($)
{
	$.fn.dmAccordion = function(options) {
		var options = $.extend(
		{
			automatic: false,
			hide: true
		}, options);
						
		return this.each(function()
		{
			// Get current object
			var $this = $(this);
			// Get root list items
			var menuItems = $this.children('li');
			var prevItem = null;
			// Collapse lists
			menuItems.each(function()
			{
				var el = $(this);
				var handle = el.children('a:first');
				var sublist = el.children('.dm_accordion_sub:first');
				
				if (sublist.children('li').length == 0 && handle.attr('href') == '#')
				{
					el.hide();
				}
				
				if (sublist.length > 0)
				{
					if (options.hide == true)
					{	
						sublist.hide();
					}
					else
					{
						var hide = true;
						
						// Show active sublists only and hide the rest
						if (sublist.get(0).nodeName == 'UL')
						{
							sublist.children().each(function()
							{
								// Find out whether to hide current sublist or not
								if ($(this).hasClass('active'))
								{
									hide = false;
									return false;
								}
							});
						}
						
						if (hide == false)
							sublist.prev().addClass('down');
						else
							sublist.hide();
					}
					
					if (options.automatic)
					{
						handle.hover(function(e)
						{
							e.preventDefault();
							
							// hide previous menu item
							if (prevItem)
							{
								prevItem.stop().css({height: 'auto'}).slideUp('fast');
								prevItem.parent().children('a:first').removeClass('down');
							}
		
							// show current item
							sublist.stop().css({height: 'auto'}).slideDown('fast');
							handle.addClass('down');
							prevItem = sublist;
						});
					}
					else
					{
						handle.click(function(e)
						{
							// hide previous menu item
							e.preventDefault();
							
							if (handle.hasClass('down'))
							{
								sublist.stop().css({height: 'auto'}).slideUp('fast');
								handle.removeClass('down');
							}
							else
							{
								sublist.stop().css({height: 'auto'}).slideDown('fast');
								handle.addClass('down');
							}
						});
					}
				}
			});
		});
	};
})(jQuery);