<?php
# rss.php - rss feed of recent posts

require 'config.php';

define('IS_ADMIN', false);
define('PRETTY_URLS', false);

/* LOGIC ************************************************************/

// Connect to database
$db = new Db(Base::get('db_default'));
Base::set('db', $db);

// Get posts model
$postsM = Base::getModel('posts');

// Get an array of 10 recent posts
$posts = $postsM->getPosts('recent', 10, 'resource');

/* PRESENTATION  ****************************************************/

echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<rss version=\"2.0\">\n<channel>\n";
echo '<title>'.get_option('siteName')."</title>\n";
echo '<link>'.Base::get('base_url')."</link>\n";
echo '<description>'.get_option('meta_d')."</description>\n";
//echo "<lastBuildDate>".date("D, d M Y H:i:s T", time())."</lastBuildDate>\n<language>en-us</language>\n";

if ($posts)
{
  $link = '';
  while ($post = $db->fetchAssoc($posts)) {
  	$link = href('posts/view/'.$post['url_tag'].'/'.$post['postID']);
  	echo "<item>\n<title>".$post['title']."</title>\n";
  	echo '<link>'.$link."</link>\n";
  	echo '<guid>'.$link."</guid>\n";
  	echo '<pubDate>'.date("D, d M Y H:i:s O", $post['date_posted'])."</pubDate>\n";
  	echo '<description>'.$post['description']."</description>\n</item>\n";
  }
}

echo "</channel>\n</rss>\n";
?>