<?php
if (!defined('APPLICATION')) exit();
if (!isset($title)) $title = '';
if (!isset($active)) $active = '';
if (!isset($breadCrumbsTitle)) $breadCrumbsTitle = __(ucfirst($request['module']));
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
  <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />
  
  <!-- META:BEGIN -->
  <title><?php echo $title; ?></title>
  <!-- META:END -->
  
  <meta name="robots" content="noindex, nofollow" />
  <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
  <link rel="stylesheet" type="text/css" href="<?php echo $theme['url']; ?>style.css" media="screen" />
  
  <script type="text/javascript" src="<?php echo Base::get('base_url'); ?>js/jquery.min.js"></script>
  <script type="text/javascript" src="<?php echo Base::get('base_url'); ?>js/jquery.dmModal.js"></script>
  <script type="text/javascript">
  $(document).ready(function() {
    $('.modal-trigger').dmModal({
      buttons: new Array(
        {
          title: 'Yes',
          callback: function() {
            window.location = this.trigger.attr('href');
          }
        },
        {
          title: 'No',
          callback: function() {
            return false;
          }
        }
      )
    });
  });
  </script>
</head>
<body>

<div id="modal-delete" class="modal-box">
  <h2><?php _e('Warning'); ?>!</h2>
  <p><?php _e('Are you sure you want to delete this item?'); ?></p>
  <a href="#" class="modal-close">close</a>
</div>

<div id="container">
    <div id="header">
      <div id="logo">Easy Blog Administration ( <a href="<?php echo Base::get('base_url'); ?>"><?php _e('View website'); ?></a> )</div>
    </div>
    
    <div id="sidebar">
      <?php include $theme['dir'].'nav.php'; ?>
    </div>
    
    <div id="main">
      <?php flash_message(); ?>
      <?php breadcrumbs($breadCrumbsTitle, $title); ?>
      
      <!-- CONTENT:BEGIN copy this block to show blog content (e.g. posts, pages) -->
      <?php include template('get'); ?>
      <!-- CONTENT:END -->
    </div>
    
    <div id="footer">
      <p id="copy">&copy; Easy Blog</p>
    </div>
</div>

</body>
</html>