<?php
if (!defined('APPLICATION')) exit();

$actions = array(
  'approved' => __('Approve'),
  'pending' => __('Send to pending'),
  'spam' => __('Mark as spam'),
  'deleted' => __('Delete')
);

if ($status == 'deleted')
  $actions['delete_permanently'] = __('Delete permanently');
?>

<ul class="hlist">
  <li><?php menuItem(__('All'), href('posts/comments/status/all'), __(ucfirst($status))); ?> |&nbsp;</li>
  <li><?php menuItem(__('Approved'), href('posts/comments/status/approved'), __(ucfirst($status))); echo ' <span class="small grey">(',$stats['approved'],')</span>'; ?> |&nbsp;</li>
  <li><?php menuItem(__('Pending'), href('posts/comments/status/pending'), __('Pending')); echo ' <span class="small grey">(',$stats['pending'],')</span>'; ?> |&nbsp;</li>
  <li><?php menuItem(__('Spam'), href('posts/comments/status/spam'), __(ucfirst($status))); echo ' <span class="small grey">(',$stats['spam'],')</span>'; ?> |&nbsp;</li>
  <li><?php menuItem(__('Deleted'), href('posts/comments/status/deleted'), __(ucfirst($status))); echo ' <span class="small grey">(',$stats['deleted'],')</span>'; ?></li>
</ul>

<?php if ($comments->items): ?>
  <?php $links = $comments->getLinks('&page='); ?>
  <p><?php echo $links; ?></p>
  
  <form name="comments_list" action="<?php echo href('posts/comments-process'); ?>" method="post">
    <input type="hidden" name="token" value="<?php echo get_token(); ?>" />
    <input type="hidden" name="from" value="<?php echo getCurrentUrl(); ?>" />
    
    <p>
      <select name="action">
        <option value=""><?php _e('Select action'); ?></option>
        <?php
        foreach ($actions as $val => $title)
        {
          if ($val != $status)
          {
            echo '<option value="',$val,'">',$title,'</option>';
          }
        }
        ?>
      </select>
      <input type="submit" name="doaction" value="<?php _e('Apply'); ?>" />
    </p>
    
    <table class="styletable" style="width:100%;">
      <tr>
        <th style="width:2em;"><input type="checkbox" onclick="checkboxCheckAll(this, document.comments_list.elements['comments[]']);" /></th>
        <th style="width:10%;"><?php _e('Author'); ?></th>
        <th><?php _e('Comment'); ?></th>
        <th style="width:20%;"><?php _e('In response to'); ?>o</th>
        <th style="width:10%;"><?php _e('Options'); ?></th>
      </tr>
      
    <?php while ($row = $db->fetchAssoc($comments->items)): ?>
      <tr>
        <td><input type="checkbox" name="comments[]" value="<?php echo $row['commentID']; ?>" /></td>
        <td><?php echo $row['name']; ?></td>
        <td><?php echo $row['content']; ?></td>
        <td><?php echo '<a target="_blank" href="',href('posts/view/'.$row['postUrlTag'].'/'.$row['postID'], false),'">',$row['postTitle'],'</a>'; ?></td>
        <td>
          <a href="<?php echo href('posts/edit-comment/commentID/'.$row['commentID']); ?>"><?php _e('edit'); ?></a>
        </td>
      </tr>
    <?php endwhile; ?>
    
    </table>
    
    <p>
      <select name="action2">
        <option value=""><?php _e('Select action'); ?></option>
        <?php
        foreach ($actions as $val => $title)
        {
          if ($val != $status)
          {
            echo '<option value="',$val,'">',$title,'</option>';
          }
        }
        ?>
      </select>
      <input type="submit" name="doaction2" value="<?php _e('Apply'); ?>" />
    </p>
    
  </form>
  
  <p><?php echo $links; ?></p>
  
<?php endif; ?>

<script type="text/javascript">

function checkboxCheckAll(el, field)
{
  if (el.checked == true)
  {
    for (i = 0; i < field.length; ++i)
      field[i].checked = true;
  }
  else
  {    
    for (i = 0; i < field.length; ++i)
      field[i].checked = false;
  }
}

</script>
