<?php
if (!defined('APPLICATION')) exit();

$status = array();
if ($access)
  $status['approved'] = '<span style="color:green;">'.__('Approved').'</span>';

$status['pending'] = '<span style="color:orange;">'.__('Pending').'</span>';
$status['draft'] = '<span style="color:orange;">'.__('Draft').'</span>';
$status['deleted'] = '<span style="color:red;">'.__('Deleted').'</span>';
?>

<form action="<?php echo href('posts/edit-post/type/'.$type.'/postID/'.$postID); ?>" method="post" class="form">
  <input type="hidden" name="token" value="<?php echo get_token(); ?>" />
  <input type="hidden" name="from" value="<?php echo $from; ?>" />
  
  <p>
  <?php
  $statusValue = isset($_POST['status']) ? $_POST['status'] : null;
  foreach ($status as $value => $title)
  {
    $checked = ($statusValue == $value) ? ' checked="checked"' : '';
    echo '<label><input type="radio" name="status" value="',$value,'"',$checked,'/>',$title,'</label> ';
  }
  ?>
  </p>
  
  <div style="float:left;width:71%;">
    <fieldset>
        <label><?php _e('Title'); ?></label>
        <input type="text" class="field_full" name="title" value="<?php if (isset($_POST['title'])) echo filterXss($_POST['title']); ?>" />
        <?php if (isset($errors['title'])) echo '<p class="error">',$errors['title'],'</p>'; ?>
    </fieldset>
    
    <fieldset>
        <label><?php _e('URL tag'); ?></label>
        <input type="text" class="field_full" name="url_tag" value="<?php if (isset($_POST['url_tag'])) echo filterXss($_POST['url_tag']); ?>" />
        <?php if (isset($errors['url_tag'])) echo '<p class="error">',$errors['url_tag'],'</p>'; ?>
        <p class="form-info"><?php _e('This value will appear in the URL for this page. It must be a single word, like: about, about-us, contact_us'); ?></p>
    </fieldset>
    
    <fieldset<?php if ($type == 'post') echo ' style="display:none;"'; ?>>
        <label><?php _e('Url'); ?></label>
        <input type="text" class="field_full" name="url" value="<?php if (isset($_POST['url'])) echo filterXss($_POST['url']); ?>" />
        <p class="form-info"><?php _e('If you wish this page to link to another URL, enter this url here'); ?></p>
    </fieldset>
    
    <fieldset>
        <label><?php _e('Meta keywords'); ?></label>
        <textarea class="field_full" name="meta_k"><?php if (isset($_POST['meta_k'])) echo filterXss($_POST['meta_k']); ?></textarea>
        <p class="form-info"><?php _e('Keywords for search engines'); ?></p>
    </fieldset>
    
    <fieldset>
        <label><?php _e('Meta description'); ?></label>
        <textarea class="field_full" name="meta_d"><?php if (isset($_POST['meta_d'])) echo filterXss($_POST['meta_d']); ?></textarea>
        <p class="form-info"><?php _e('Description for search engines'); ?></p>
    </fieldset>
    
    <fieldset>
        <label><?php _e('Description/Excerpt'); ?></label>
        <textarea class="field_full" name="description" rows="4"><?php if (isset($_POST['description'])) echo filterXss($_POST['description']); ?></textarea>
        <p class="form-info"><?php _e('Description, that will show up on the posts list page, e.g. home page'); ?></p>
    </fieldset>
  </div>
  
  <div style="float: right;width:28%;">
    <fieldset>
      <label><?php _e('Weight'); ?></label>
      <input type="text" name="pos" class="field_full" maxlength="4" value="<?php if (isset($_POST['pos'])) echo filterXss($_POST['pos']); ?>" />
      <p class="form-info"><?php _e('Must be a whole number, like 0,1,2,3,... The higher the value, the closer this post will appear in the list'); ?></p>
    </fieldset>
  
    <fieldset>
        <label><?php _e('Image'); ?></label>
        <input type="text" class="field_full" id="image" name="image" value="<?php if (isset($_POST['image'])) echo filterXss($_POST['image']); ?>" />
        <a href="#" onclick="DmFileManager(); return false;"><?php _e('Select or upload an image'); ?></a>
    </fieldset>
    
    <fieldset<?php if ($type == 'post') echo ' style="display:none;"'; ?>>
      <label style="display:block;"><?php _e('Parent page'); ?></label>
      <select name="parentID">
      <option value="0">-- <?php _e('None'); ?> --</option>
      <?php echo $postsM->getPagesSelect($postID, '', $post['parentID']); ?>
      </select>
    </fieldset>
    
    <fieldset>
      <label style="display:block;"><?php _e('Hide from navigation?'); ?></label>
      <?php htmlSelect('hidden', $hiddenOpt); ?>
    </fieldset>
    
    <fieldset>
      <label style="display:block;"><?php _e('Layout'); ?></label>
      <?php htmlSelect('layout', $layoutOpt); ?>
      <?php if (isset($errors['layout'])) echo '<p class="error">',$errors['layout'],'</p>'; ?>
      <p class="form-info"><?php _e('This are the covers for this post\'s content, you can create your own. Have a look at /themes/default/layouts/ folder'); ?></p>
    </fieldset>
    
    <fieldset<?php if ($type == 'page') echo ' style="display:none;"'; ?>>
      <label style="display:block;"><?php _e('Category'); ?></label>
      <?php htmlSelect('categoryID', $categoriesOpt); ?>
    </fieldset>
    
    <?php if ($access): ?>
    <fieldset>
      <label style="display:block;"><?php _e('Author'); ?></label>
      <?php htmlSelect('userID', $usersOpt); ?>
    </fieldset>
    <?php endif; ?>
    
    <fieldset>
      <label style="display:block;"><?php _e('Close comments?'); ?></label>
      <?php htmlSelect('comments', $commentsOpt); ?>
    </fieldset>
    
    <fieldset>
      <label style="display:block;"><?php echo sprintf(__('Do you allow other administrators to edit this %s?'), $type); ?></label>
      <?php htmlSelect('block', $blockOpt); ?>
    </fieldset>
  </div>
  
  <p class="clear">
      <label><?php _e('Content'); ?></label>
      <textarea class="field_full rteEditor" name="content" rows="40"><?php if (isset($_POST['content'])) echo filterXss($_POST['content']); ?></textarea>
  </p>
  
  <p>
    <button type="submit"><?php _e('Save'); ?></button>
  </p>
</form>

<script type="text/javascript" src="<?php echo Base::get('base_url'); ?>/js/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript">
var DmFileManagerWindow = null;
var DmFileManagerTo = null;

// Start tinymce
tinyMCE.init({
  plugins: "media",
  theme : "advanced",
  mode : "specific_textareas",
  editor_selector : "rteEditor",
  convert_urls : false,
  //content_css : "<?php echo Base::get('base_url'); ?>themes/default/css/tinymce.css",
  theme_advanced_buttons2_add : "forecolor,backcolor",
  theme_advanced_buttons3_add : "file-manager",
  theme_advanced_toolbar_location : "top",
  theme_advanced_statusbar_location : "bottom",
  theme_advanced_resizing : true,

  setup : function(ed)
  {
    // Add a custom button
    ed.addButton('file-manager', {
      title : 'File manager',
      image : '<?php echo Base::get('base_url'); ?>ext/filemanager/images/file-manager.png',
      onclick : function()
      {
        // Show file manager
        DmFileManagerWindow = window.open('<?php echo Base::get('base_url'); ?>ext/filemanager/index.php', 'FileManager', 'height=690,width=800,toolbar=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no');
        DmFileManagerTo = 'content';
      }
    });
  }
});

function DmFileManagerCallback(data)
{
  if (DmFileManagerTo == 'content')
    tinyMCE.execCommand('mceInsertRawHTML', false, data.content);
  else
    $('#image').val(data.url);
    
  DmFileManagerWindow.close();
}

function DmFileManager()
{
  // Show file manager
  DmFileManagerWindow = window.open('<?php echo Base::get('base_url'); ?>ext/filemanager/index.php', 'FileManager', 'height=690,width=800,toolbar=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no');
  DmFileManagerTo = 'image';
}
</script>
