<?php
if (!defined('APPLICATION')) exit();

$actions = array(
  'approved' => __('Approve'),
  'pending' => __('Unapprove'),
  'draft' => __('Draft'),
  'deleted' => __('Delete')
);

if ($status == 'deleted')
  $actions['delete_permanently'] = __('Delete permanently');
?>

<p><a href="<?php echo href('posts/edit-post/type/post'); ?>" class="btn"><span><?php _e('CREATE'); ?></span></a></p>

<?php if ($access == 'posts_view_all'): ?>
<ul class="hlist">
  <li><?php menuItem(__('Mine'), href('posts/index/type/'.$type.'/status/'.$status.'/view/mine'), __(ucfirst($view))); ?> |&nbsp;</li>
  <li><?php menuItem(__('All authors'), href('posts/index/type/'.$type.'/status/'.$status.'/view/All authors'), __(ucfirst($view))); ?></li>
</ul>
<?php endif; ?>

<ul class="hlist">
  <li><?php menuItem(__('All'), href('posts/index/type/'.$type.'/status/all/view/'.$view), __(ucfirst($status))); ?> |&nbsp;</li>
  <li><?php menuItem(__('Approved'), href('posts/index/type/'.$type.'/status/approved/view/'.$view), __(ucfirst($status))); echo ' <span class="small grey">(',$stats['approved'],')</span>'; ?> |&nbsp;</li>
  <li><?php menuItem(__('Pending'), href('posts/index/type/'.$type.'/status/pending/view/'.$view), __(ucfirst($status))); echo ' <span class="small grey">(',$stats['pending'],')</span>'; ?> |&nbsp;</li>
  <li><?php menuItem(__('Draft'), href('posts/index/type/'.$type.'/status/draft/view/'.$view), __(ucfirst($status))); echo ' <span class="small grey">(',$stats['draft'],')</span>'; ?> |&nbsp;</li>
  <li><?php menuItem(__('Deleted'), href('posts/index/type/'.$type.'/status/deleted/view/'.$view), __(ucfirst($status))); echo ' <span class="small grey">(',$stats['deleted'],')</span>'; ?></li>
</ul>

<?php if ($posts->items): ?>

  <?php $links = $posts->getLinks('&page='); ?>
  <p><?php echo $links; ?></p>
  
  <form name="posts_list" action="<?php echo href('posts/posts-process'); ?>" method="post">
    <input type="hidden" name="token" value="<?php echo get_token(); ?>" />
    <input type="hidden" name="from" value="<?php echo getCurrentUrl(); ?>" />
    
    <p>
      <select name="action">
        <option value=""><?php _e('Select action'); ?></option>
        <?php
        foreach ($actions as $val => $title)
        {
          if ($val != $status)
          {
            echo '<option value="',$val,'">',$title,'</option>';
          }
        }
        ?>
      </select>
      <input type="submit" name="doaction" value="<?php _e('Apply'); ?>" />
    </p>
    
    <table class="styletable" style="width:100%;">
      <tr>
        <th style="width:2em;"><input type="checkbox" onclick="checkboxCheckAll(this, document.posts_list.elements['posts[]']);" /></th>
        <th><?php _e('Title'); ?></th>
        <th style="width:10%;"><?php _e('Category'); ?></th>
        <th style="width:10%;"><?php _e('Author'); ?></th>
        <th style="width:10%;"><?php _e('Options'); ?></th>
      </tr>
      
    <?php while ($post = $db->fetchAssoc($posts->items)): ?>
      <tr>
        <td><input type="checkbox" name="posts[]" value="<?php echo $post['postID']; ?>" /></td>
        <td style="color:<?php
        if ($post['status'] == 'approved') echo 'green';
        elseif ($post['status'] == 'pending') echo 'orange';
        elseif ($post['status'] == 'draft') echo 'orange';
        elseif ($post['status'] == 'deleted') echo 'red';?>">
          <?php echo $post['title']; ?>
        </td>
        <td><?php echo $post['category']; ?></td>
        <td><?php echo $post['userUsername']; ?></td>
        <td>
          <a href="<?php echo href('posts/edit-post/postID/'.$post['postID'].'&from='.getCurrentUrl()); ?>"><?php _e('edit'); ?></a>
          <?php if ($post['status'] == 'deleted'): ?>
          | <a href="<?php echo href('posts/delete-post/postID/'.$post['postID'].'/token/'.get_token().'&from='.getCurrentUrl()); ?>"
              class="modal-trigger" rel="modal-delete"><?php _e('delete'); ?></a>
          <?php endif; ?>
        </td>
      </tr>
    <?php endwhile; ?>
    
    </table>
    
    <p>
      <select name="action2">
        <option value=""><?php _e('Select action'); ?></option>
        <?php
        foreach ($actions as $val => $title)
        {
          if ($val != $status)
          {
            echo '<option value="',$val,'">',$title,'</option>';
          }
        }
        ?>
      </select>
      <input type="submit" name="doaction2" value="<?php _e('Apply'); ?>" />
    </p>
    
  </form>
  
  <p><?php echo $links; ?></p>
  
<?php endif; ?>

<script type="text/javascript">

function checkboxCheckAll(el, field)
{
  if (el.checked == true)
  {
    for (i = 0; i < field.length; ++i)
      field[i].checked = true;
  }
  else
  {    
    for (i = 0; i < field.length; ++i)
      field[i].checked = false;
  }
}

</script>