<?php
if (!defined('APPLICATION')) exit();

$actions = array(
  'approved' => __('Approve'),
  'pending' => __('Unapprove'),
  'draft' => __('Draft'),
  'deleted' => __('Delete')
);
?>

<?php if ($posts): ?>

<?php
function adminShowPages($pages = 'null', $indent = '')
{
  foreach ($pages as $postID => $page)
  {
    if ($page['status'] == 'deleted')
      $style = 'color:red;';
    else if ($page['status'] == 'approved')
      $style = 'color:green;';
    else if ($page['status'] == 'pending')
      $style = 'color:orange;';
    else
      $style = 'color:orange;';
    ?>
    <tr>
      <td><input type="checkbox" name="posts[]" value="<?php echo $page['postID']; ?>" /></td>
      <td style="<?php echo $style; ?>"><?php echo $indent,' ',$page['title']; ?></td>
      <td style="<?php echo $style; ?>"><b><?php echo $page['status']; ?></b></td>
      <td><?php echo $page['pos']; ?></td>
      <td><?php echo $page['userUsername']; ?></td>
      <td>
        <a href="<?php echo href('posts/edit-post/postID/'.$page['postID'].'&from='.getCurrentUrl()); ?>"><?php _e('edit'); ?></a>
        <?php if ($page['status'] == 'deleted'): ?>
        | <a href="<?php echo href('posts/delete-post/postID/'.$page['postID'].'/token/'.get_token().'&from='.getCurrentUrl()); ?>"
            class="modal-trigger" rel="modal-delete"><?php _e('delete'); ?></a>
        <?php endif; ?>
      </td>
    </tr>
    <?php
    
    if (isset($page['children']))
    {
      adminShowPages($page['children'], $indent.'&mdash;');
    }
  }
  $indent = '';
}
?>

  <p><a href="<?php echo href('posts/edit-post/type/page'); ?>" class="btn"><span><?php _e('CREATE'); ?></span></a></p>

  <form name="posts_list" action="<?php echo href('posts/posts-process'); ?>" method="post">
    <input type="hidden" name="token" value="<?php echo get_token(); ?>" />
    <input type="hidden" name="from" value="<?php echo getCurrentUrl(); ?>" />
  
    <p>
      <select name="action">
        <option value=""><?php _e('Select action'); ?></option>
        <?php
        foreach ($actions as $val => $title)
        {
          if ($val != $status)
          {
            echo '<option value="',$val,'">',$title,'</option>';
          }
        }
        ?>
      </select>
      <input type="submit" name="doaction" value="<?php _e('Apply'); ?>" />
    </p>
    
    <table class="styletable" style="width:100%;">
      <tr>
        <th style="width:2em;"><input type="checkbox" onclick="checkboxCheckAll(this, document.posts_list.elements['posts[]']);" /></th>
        <th><?php _e('Title'); ?></th>
        <th style="width:10%;"></th>
        <th style="width:5%;"><?php _e('Weight'); ?></th>
        <th style="width:10%;"><?php _e('Author'); ?></th>
        <th style="width:5%;"><?php _e('Options'); ?></th>
      </tr>
      
    <?php adminShowPages($posts); ?>
    
    </table>
  
    <p>
      <select name="action2">
        <option value=""><?php _e('Select action'); ?></option>
        <?php
        foreach ($actions as $val => $title)
        {
          if ($val != $status)
          {
            echo '<option value="',$val,'">',$title,'</option>';
          }
        }
        ?>
      </select>
      <input type="submit" name="doaction2" value="<?php _e('Apply'); ?>" />
    </p>
    
  </form>
  
<?php endif; ?>

<script type="text/javascript">

function checkboxCheckAll(el, field)
{
  if (el.checked == true)
  {
    for (i = 0; i < field.length; ++i)
      field[i].checked = true;
  }
  else
  {    
    for (i = 0; i < field.length; ++i)
      field[i].checked = false;
  }
}

</script>