<?php if (!defined('APPLICATION')) exit(); ?>

<h3><?php _e('Basic settings'); ?></h3>

<form action="<?php href('settings/index'); ?>" method="post" class="form">
  <input type="hidden" name="token" value="<?php echo get_token(); ?>" />
  
  <fieldset>
    <label><?php _e('Site name'); ?></label>
    <input type="text" name="siteName" class="field_full" value="<?php echo $siteName; ?>" />
  </fieldset>
  
  <fieldset>
    <label><?php _e('Meta keywords'); ?></label>
    <textarea name="metaKeywords" class="field_full" ><?php echo $metaKeywords; ?></textarea>
  </fieldset>
  
  <fieldset>
    <label><?php _e('Meta description'); ?></label>
    <textarea name="metaDescription" class="field_full" ><?php echo $metaDescription; ?></textarea>
  </fieldset>
  
  <fieldset>
    <label><?php _e('Date format'); ?></label>
    <input type="text" name="dateFormat" class="field_full" value="<?php echo $dateFormat; ?>" />
    * <a href="http://www.php.net/manual/en/function.date.php" target="_blank"><?php _e('Reference'); ?></a>
  </fieldset>
  
  <fieldset>
    <label><?php _e('Enable pretty urls?'); ?></label>
    <label><input type="radio" name="prettyUrls" value="y" <?php if ($prettyUrls == 'y') echo ' checked="checked"'; ?> /> Yes</label>
    <label><input type="radio" name="prettyUrls" value="n" <?php if ($prettyUrls == 'n') echo ' checked="checked"'; ?> /> No</label>
  </fieldset>
  
  <fieldset>
    <label><?php _e('Theme'); ?></label>
    <select name="themeName">
    <?php
    foreach ($themes as $name)
    {
      echo '<option value="',$name,'"';
      if ($name == $themeName)
        echo ' selected="selected"';
      echo '">',$name,'</a>';
    }
    ?>
    </select>
  </fieldset>
  
  <p>
    <button type="submit"><?php _e('Save'); ?></button>
  </p>
</form>
