<?php
if (!defined('APPLICATION')) exit();
if (!isset($title)) $title = '';
if (!isset($active)) $active = '';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>

  <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />
  
  <!-- META:BEGIN -->
  <title><?php echo get_option('siteName'),(!empty($title)) ? ' | '.$title : ''; ?></title>
  <!-- META:END -->
  
  <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
  <link rel="stylesheet" type="text/css" href="<?php echo $theme['url']; ?>style.css" media="screen" />
  
  <script type="text/javascript" src="<?php echo Base::get('base_url'); ?>js/jquery.min.js"></script>
  
  <?php showMeta(); ?>
</head>
<body>

<div id="container">
    <!-- HEADER -->
    <div id="header">
      <div id="logo"><?php echo '<a href="',Base::get('base_url'),'">',get_option('siteName'),'</a>'; ?></div>
    </div>
    
    <!-- SIDEBAR -->
    <div id="sidebar">
    <?php
    $postsM = Base::getModel('posts');
    ?>
    
    <!-- SEARCH FORM:BEGIN -->
    <form action="<?php echo Base::get('base_url'); ?>index.php" method="get">
      <input type="hidden" name="q" value="index/index" />
      <input type="text" name="search" value="<?php echo isset($search) ? $search : ''; ?>" />
      <button type="submit"><?php _e('Search'); ?></button>
    </form>
    <!-- SEARCH FORM:END -->
    
    <!-- PAGES -->
    <h4><?php _e('Pages'); ?></h4>
    <ul id="nav">
      <!-- Link to homepage -->
      <li><a href="<?php echo Base::get('base_url'); ?>" <?php if (isHome()) echo 'class="ebl-current"'; ?>>Home</a></li>
      <?php $postsM->getPagesUl(null, null, 'pageID', $postID); ?>
    </ul>
    <!-- PAGES:END -->
    
    <!-- RECENT POSTS:BEGIN -->
    <h4><?php _e('Recent posts'); ?></h4>
    <ul><?php $postsM->showPosts('recent', 5); ?></ul>
    <!-- RECENT POSTS:END -->
    
    <!-- CATEGORIES:BEGIN -->
    <h4><?php _e('Categories'); ?></h4>
    <ul><?php $postsM->showCategories(); ?></ul>
    <!-- CATEGORIES:END -->
    
    <!-- ARCHIVES:BEGIN -->
    <h4><?php _e('Archives'); ?></h4>
    <ul><?php $postsM->showArchives(); ?></ul>
    <!-- ARCHIVES:END -->
    
    <!-- LINKS:BEGIN -->
    <h4><?php _e('Links'); ?></h4>
    <ul><?php $postsM->showLinks(); ?></ul>
    <!-- LINKS:END -->
    
    </div>
    
    <div id="main">
      <?php flash_message(); ?>
      
      <!-- CONTENT:BEGIN copy this block to show blog content (e.g. posts, pages) -->
      <?php include template('get'); ?>
      <!-- CONTENT:END -->
    </div>
    
    <div id="footer">
      <a class="right" href="rss.php">RSS FEED</a>
      <p class="left" id="copy">&copy; Easy Blog</p>
    </div>
</div>

</body>
</html>