<?php
if (!defined('APPLICATION')) exit();

if (prepare_posts())
{
  while ($post = get_post())
  {
?>
    <div class="post">
    
      <!-- POST TITLE:BEGIN -->
      <h2><a href="<?php echo get_url(); ?>"><?php echo $post['title']; ?></a></h2>
      <!-- POST TITLE:END -->
      
      <!-- POST META:BEGIN -->
      <ul class="post-meta">
        <li class="post-date"><?php echo formatDate($post['date_posted']); ?></li>
        <li class="post-category"><?php echo '<a href="',href('index/category/'.$post['categoryUrlTag'].'/'.$post['categoryID']),'">',$post['category'],'</a>'; ?></li>
        <li class="post-author"><?php echo $post['userUsername']; ?></li>
      </ul>
      <!-- POST META:END -->
      
      <?php if (!empty($post['image'])): ?>
        <a href="<?php echo get_url(); ?>"><img class="post-image" src="<?php echo $post['image']; ?>" alt="" /></a>
      <?php endif; ?>
      
      <!-- POST DESCRIPTION:BEGIN -->
      <div class="description">
      <?php echo $post['description']; ?>
      </div>
      <!-- POST DESCRIPTION:END -->
      
      <!-- POST READ MORE LINK:BEGIN -->
      <p>
        <a href="<?php echo get_url(); ?>"><?php _e('read more'); ?>...</a>
      </p>
      <!-- POST READ MORE LINK:END -->
      
    </div>
<?php
  }

  /* POSTS PAGINATION LINKS:BEGIN */
  echo '<p class="paginate">',posts_pagination(),'<p>';
  /* POSTS PAGINATION LINKS:END */
  
  after_posts();
}
else if (have_posts() == false)
{
  echo '<p>';
  switch ($show)
  {
    case 'search':
      _e('Nothing found');
      break;
    case 'category':
      _e('Category is empty');
      break;
    default:
      _e('Empty');
  }
  echo '</p>';
}

?>