<?php if (!defined('APPLICATION')) exit(); ?>

<?php if ($post): ?>

  <div class="post">
  
    <!-- POST TITLE:BEGIN -->
    <h2><?php echo $post['title']; ?></h2>
    <!-- POST TITLE:END -->
    
    <!-- POST META:BEGIN -->
    <?php if ($post['type'] == 'post'): ?>
    <ul class="post-meta">
      <li class="post-date"><?php echo formatDate($post['date_posted']); ?></li>
      <li class="post-category"><?php echo '<a href="',href('index/category/'.$post['categoryUrlTag'].'/'.$post['categoryID']),'">',$post['category'],'</a>'; ?></li>
      <li class="post-author"><?php echo $post['userUsername']; ?></li>
    </ul>
    <?php endif; ?>
    <!-- POST META:END -->
    
    <!-- POST DESCRIPTION:BEGIN -->
    <div class="content"><?php echo $post['content']; ?></div>
    <!-- POST DESCRIPTION:END -->
    
    <!-- POST COMMENTS:BEGIN -->
    <?php if ($comments): ?>
    <h4><?php _e('Comments'); ?></h4>
    <?php comments_pagination(); ?>
    <?php ebl_list_comments(); ?>
    <?php endif; ?>
    <!-- POST COMMENTS:END -->
    
    <!-- POST COMMENT FORM:BEGIN -->
    <?php if (comments_open()): ?>
    <form id="add_comment" name="add_comment" action="<?php echo href('posts/view/'.$post['url_tag'].'/'.$postID.'&cpage='.$cpage); ?>" method="post">
      
      <input type="hidden" id="comment_parent_id" name="parentID" value="<?php echo $parentCommentID; ?>" />
      <input type="hidden" name="postID" value="<?php echo $postID; ?>" />
      
      <h4><?php _e('Submit a comment'); ?></h4>
      
      <?php if (!$userID): ?>
      
        <p>
          <label><?php _e('Name'); ?></label>
          <input type="text" name="name" value="<?php echo formFieldValue('name'); ?>" size="30" />
        </p>
        <?php if (isset($errors['name'])) echo '<p class="error">',$errors['name'],'</p>'; ?>
        
        <p>
          <label><?php _e('Email'); ?></label>
          <input type="text" name="email" value="<?php echo formFieldValue('email'); ?>" size="30" />
        </p>
        <?php if (isset($errors['email'])) echo '<p class="error">',$errors['email'],'</p>'; ?>
        
        <p>
          <label><?php _e('Website'); ?></label>
          <input type="text" name="website" value="<?php echo formFieldValue('website'); ?>" size="30" />
        </p>
        
      <?php endif; ?>
      
      <p>
        <textarea name="<?php echo $nameContent; ?>" cols="40" rows="4"><?php echo formFieldValue($nameContent); ?></textarea>
      </p>
      <?php if (isset($errors[$nameContent])) echo '<p class="error">',$errors[$nameContent],'</p>'; ?>
      
      <p>
        <textarea name="content" cols="40" rows="4"></textarea>
      </p>
      
      <?php if (get_option('commentsApprove') == 'y'): ?>
      <p><?php _e('Comment moderation is enabled, no need to resubmit any comments posted', 'default'); ?></p>
      <?php endif; ?>
      
      <p>
        <input type="submit" value="<?php _e('Submit'); ?>" />
      </p>
      
      <p>
        <a href="#" id="cancel_reply"><?php _e('Cancel reply'); ?></a>
      </p>
      
    </form>
    
    <script type="text/javascript">
    document.add_comment.content.style.display = 'none';
    
    var $comments = $('#comments');
    var $add_comment = $('#add_comment');
    var $comment_parent_id = $('#comment_parent_id');
    var $cancel_reply = $('#cancel_reply');
    $cancel_reply.hide();
    
    function moveCommentForm(commentID)
    {
      // Set form's field parentID to comment's ID
      $comment_parent_id.val(commentID);
      
      // Attach comment form to the comment
      //$('#comment_'+commentID).append($add_comment);
      $add_comment.insertAfter($('#comment_'+commentID));
      
      $cancel_reply.show();
    }
    
    if (($commentParentID = $comment_parent_id.val()) != 0)
    {
      moveCommentForm($commentParentID);
    }
    
    $('.ebl-comment-reply').each(function()
    {
      $(this).click(function(e)
      {
        $this = $(this);
        e.preventDefault();
        // Get selected comment's ID
        var commentID = $this.attr('id');
        commentID = commentID.split('_');
        commentID = commentID[1];
        
        moveCommentForm(commentID);
      });
    });
    
    $cancel_reply.click(function(e)
    {
      e.preventDefault();
      $comment_parent_id.val("");
      $add_comment.insertAfter($comments);
      $cancel_reply.hide();
    });
    
    </script>
    <?php endif; ?>
    <!-- POST COMMENT FORM:END -->
    
  </div>

<?php else: ?>

  <p>Not found</p>

<?php endif; ?>